
%define __libtoolize    /bin/true

%define compile_apidox 1

%if %mdkversion == 1020
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig libkdevelop
%define lib_major 3
%define lib_name %mklibname kdevelop %lib_major
%define old_lib_major 2
%define old_lib_name %mklibname kdevelop %old_lib_major

Name: 		kdevelop
Summary: 	Integrated Development Environment for C++/C
Version: 	3.1.2
Release: 	11mdk
Epoch:		3

URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source:     	ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2

Source1:	c_cpp_reference-2.0.2.tar.bz2
Source2:	kdevelop-3.0-kdevelop
Source3:	kdevelop-3.0-Makefile.PL


Patch1:		kdevelop-2.0.1-fix-compile.patch.bz2
Patch2:		kdevelop-2.0.2-fix-exec-designer.patch.bz2

# Laurent - 2.0.2-6mdk - disable ok button in "create new class", patch commited in kde 2.2.2 branch 
Patch3:		kdevelop-2.0.2-disable-ok-button.patch.bz2
# Laurent - 2.0.2-7mdk - disable ok button in "insert new file" dialogbox.
Patch4:		kdevelop-2.0.2-disable-ok-button-new-file-dialogbox.patch.bz2
# Laurent - 2.0.2-7mdk - disable ok button in search/replace dialogbox
Patch5: 	kdevelop-2.0.2-disable-ok-button-in-search-dialogbox.patch.bz2
# Laurent - 2.0.2-7mdk - disable search button in grep dialogbox
Patch6:		kdevelop-2.0.2-disable-search-button-in-grep-dialogbox.patch.bz2

# Laurent 3.0.2-2mdk patch for ix64!
Patch7:     kde-lib64updates.patch.bz2

# Laurent 2.1.3-4mdk fix mem leak
Patch8:		kdevelop-3.0.3-fix-mem-leak.patch.bz2

Patch9:		kdevelop-2.1.5-fix-doc.patch.bz2

Patch10:	kdevelop-2.1.5-fix-compile.patch.bz2

Patch11:	kdevelop-2.1.5-fix-messagebox.patch.bz2

Patch12:	kdevelop-2.1.5-use-xvt.patch.bz2

Patch13:	kdevelop-3.0.3-fix-htdig.patch.bz2

Patch14:	kdevelop-3.0.4-fix-import-spec-file.patch.bz2

Patch15:	kdevelop-3.0.4-fix-import-version.patch.bz2

Patch16:	kdevelop-3.0.4-fix-dont-add-the-same-file-twice.patch.bz2

Patch17:	kdevelop-3.0.4-fix-potential-crash.patch.bz2

Patch18:	kdelibs-3.2-remove-rpath.patch.bz2

Patch19:	kdevelop-3.1.2-fix-found-python-2.4.patch.bz2

Patch20:	kdevelop-3.1.2-fix-doc-mdk-bug-13873.patch.bz2

Patch21:	kdevelop-3.1.2-bdb-fPIC.patch.bz2

Group: 		Development/C++
BuildRoot: 	%_tmppath/%name-%version-%release-root
License: 	GPL

%if %mdkversion >= 920
Requires: 	enscript gcc-c++ gcc-cpp arts openssl-devel
Requires:	kdegraphics kdelibs-devel kdesdk  kdeutils XFree86-devel
Requires:	jpeg-devel qt3-devel make perl sgml-tools gettext libz-devel
Requires:	kdbg  ctags
Requires:	png-devel libart_lgpl-devel libtool
%else
Requires: 	enscript gcc-c++ gcc-cpp arts openssl-devel
Requires:	kdegraphics kdelibs-devel kdesdk  kdeutils XFree86-devel
Requires:	libjpeg-devel libqt3-devel make perl sgml-tools gettext zlib1-devel
Requires:	 kdbg  ctags
Requires:	libpng3-devel libart_lgpl2-devel libtool
%endif

Requires:	automake ,  autoconf , awk

Requires:	%lib_name = %epoch:%version-%release

Conflicts:	mandrake-mime <= 0.4-5mdk


%if %mdkversion >= 920
BuildRequires:  kdelibs-devel >= 3.2-13mdk libjpeg-devel
BuildRequires:  png-devel XFree86-devel
BuildRequires:  libart_lgpl-devel
%endif
BuildRequires:	db-devel, flex

BuildRequires: libkdesdk-cervisia-devel

Requires: kdesdk-cervisia, 
Requires:	autoconf2.5

%if %compile_apidox
BuildRequires:	doxygen
%endif

Requires:	doxygen, graphviz

BuildRequires:	python-devel, graphviz

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
     
   * KAppWizard, which generates complete, ready-to-go sample applications
   
   * Classgenerator, for creating new classes and integrating them into the
     current project
     
   * File management for sources, headers, documentation etc. to be included in
     the project
     
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
     
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
     
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
     
   * Debugging your application by integrating KDbg
   
   * Editing of project-specific pixmaps with KIconEdit
   
   * The inclusion of any other program you need for development by adding it to
     the "Tools" menu according to your individual needs.


%package -n %lib_name-devel
Summary:    Development files for kdevelop
Group:      Development/KDE and Qt

Obsoletes:	kdevelop-devel, %old_lib_name-devel
Provides:	kdevelop-devel = %epoch:%version-%release
Requires:	%lib_name = %epoch:%version-%release

%description -n %lib_name-devel
Development files for kdevelop.


%package -n %lib_name
Summary:    Librairies files for kdevelop
Group:      Development/KDE and Qt
Obsoletes:	%old_lib_name
Provides:	%lib_name_orig = %epoch:%version-%release

%description -n %lib_name
Librairies files for kdevelop.



%prep

%setup -q 
#####################"-a 1 -nkdevelop-%{version}_for_KDE_3.1
#%patch2 -p1
 #%patch3 -p1
#%patch4 -p1
#%patch5	-p1
#%patch6 -p1
#%patch7 -p1
#%patch8 -p1
#%patch9 -p1
#%patch10 -p1

#%patch11 -p1

#%patch12 -p1 -b .use_xvt


%patch18 -p1 -b .fix_remove_rpath

%patch19 -p1 -b .fix_python_2_4

%patch20 -p1 -b .fix_doc_mdk_bug_13873

%patch21 -p1 -b .bdb-fPIC

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export QTLIB=$QTDIR/%{_lib}

QTDOCDIR=%_defaultdocdir/qt-*/doc/html

%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif

%{?__cputoolize: %{__cputoolize} }
        %configure  --build=%_target_platform $kdelibsuffix \
%if %unstable
                    --enable-debug=full \
%else
                    --disable-debug \
%endif
                    --enable-shared \
                    --disable-static \
                    --with-xinerama \
                    --with-qtdoc-dir=$QTDOCDIR \
                    --disable-rpath \
					--enable-scripting \
					-with-kdelibsdoc-dir=%_docdir/HTML/en/ \
			--with-kdelibsdoxy-dir=%_docdir/HTML/en/kdelibs-3.3.2-apidocs/ 


%make
%if %compile_apidox
make apidox
%endif

%install
rm -fr %buildroot

####                                                       ####
#### Convert KDE menu structure to Mandrake menu structure ####
####                                                       ####

# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
make install DESTDIR=%buildroot 

# Create LMDK menus
install -d %buildroot/%_datadir/applications/kde/

#Create LMDK menu entries
install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl kdevelop "More Applications/Development/Development Environments" %buildroot/%_datadir/applnk/Development/kdevelop.desktop %buildroot/%_menudir/kdevelop-kdevelop

#createmdkmenu.sh %buildroot/%_datadir/applnk/Development/kdevelop.desktop Development-environments-mdk

#mv %buildroot/%_datadir/applnk/Development/kdevelop.desktop %buildroot/%_datadir/applications/kde/
#rm -f %buildroot/%_datadir/applnk/Development/kdevelop.desktop

# LMONTEL - 1.4-0.20010116-1mdk - Version in menu is not allowed
# Dadou - 1.4-1mdk - Warning, version change time to time. Check it everytime
#                    you rebuild this package
#perl -pi -e "s|KDevelop 2.1|KDevelop|g" %buildroot/%_menudir/kdevelop-kdevelop
#perl -pi -e "s|KDevelop 2.1|KDevelop|g" %buildroot/%_menudir/kdevelop-kdevelop-setup

#mv %buildroot/%_bindir/kdevelop %buildroot/%_bindir/kdevelop-real
#install -m 0755 %SOURCE2 %buildroot/%_bindir/kdevelop


#(
#cd c_cpp_reference-2.0.2/
#export QTDIR=%_prefix/lib/qt3
#export KDEDIR=%_prefix

#export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
#export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
#		./configure --with-qt-dir=$QTDIR \
#					--with-qt-includes=$QTDIR/include/ \
#					--with-qt-libraries=$QTDIR/%_lib \
#					--prefix=%_prefix \
#					--enable-mt

#%makeinstall
#)

(
cd $RPM_BUILD_DIR/%name-%version/
rm -rf perl-kdevelop
mkdir perl-kdevelop/
cd perl-kdevelop/
install -m 0755 %SOURCE3 Makefile.PL
ln ../parts/appwizard/common/kdevelop.pm kdevelop.pm
perl Makefile.PL INSTALLDIRS=vendor
make install DESTDIR=%buildroot
)

%if %compile_apidox
make install-apidox DESTDIR=%buildroot/
list=`ls -d */ -1`;
echo $list;
for i in $list ; do
	cd $i;
		if grep '^include .*Doxyfile.am' Makefile.am; then
			echo "installing apidox from $i" ;	
			make install-apidox DESTDIR=%buildroot/ ; 
		fi
	cd ../;
done;

%endif

rm -rf %buildroot/%_datadir/locale

rm -rf %buildroot/%_bindir/db_*

rm -rf %buildroot/%_includedir/db*.h

%clean
rm -fr %buildroot





%files
%defattr(-,root,root) 
%_bindir/kdevelop
%_bindir/kdevelop-htdig
%_bindir/kdevprj2kdevelop
%_bindir/r++

%_bindir/kdevassistant
%_bindir/kdevdesigner


%dir %_prefix/kdevbdb/
%dir %_prefix/kdevbdb/bin/
%_prefix/kdevbdb/bin/*
%_libdir/kde3/*.la
%_libdir/kde3/*.so

%dir %_datadir/apps/kdevelop/pics/
%_datadir/apps/kdevelop/pics/*.png

#%perl_vendorlib/kdevelop.pm

# FIXME menu entry

##%_datadir/applications/kde/kdevelop.desktop
%_menudir/*

#%_datadir/apps/devdoctreeview/indices/*.index

%_datadir/apps/kdevelop/eventsrc
%_datadir/apps/kdevelop/kdevelopui.rc

%_datadir/apps/kdevelop/pics/kdevelop-splash.png
%_datadir/apps/kdevelop/profiles/tiny
%_datadir/apps/kdevabbrev/kdevabbrev.rc
%_datadir/apps/kdevabbrev/templates/cpptemplates
%_datadir/apps/kdevabbrev/templates/phptemplates
%_datadir/apps/kdevabbrev/templates/pascaltemplates
%_datadir/apps/kdevabbrev/sources/cpp_keywords
%_datadir/apps/kdevabbrev/sources/qt_classes
	  

%_datadir/apps/kdevadaproject/kdevadaproject.rc
%_datadir/apps/kdevantproject/kdevantproject.rc


%dir %_datadir/apps/kdevdesigner/
%_datadir/apps/kdevdesigner/*.rc

%dir %_datadir/apps/kdevdesignerpart/
%_datadir/apps/kdevdesignerpart/*.rc

%dir %_datadir/apps/kdevdesignerpart/pics/
%_datadir/apps/kdevdesignerpart/pics/*.png


%_prefix/docs/LICENSE
%_prefix/docs/README
%_prefix/kdevbdb/docs/LICENSE
%_prefix/kdevbdb/docs/README


%_datadir/apps/kdevappwizard/kdevappwizard.rc
%_datadir/apps/kdevassistant/kdevassistantui.rc



%dir %_datadir/apps/kdevappwizard/
%_datadir/apps/kdevappwizard/*.png
%_datadir/apps/kdevappwizard/*.tar.gz

%dir %_datadir/apps/kdevappwizard/importfiles/
%_datadir/apps/kdevappwizard/importfiles/*.kdevelop

%dir %_datadir/apps/kdevappwizard/imports/
%_datadir/apps/kdevappwizard/imports/*

%dir %_datadir/apps/kdevappwizard/template-common/
%_datadir/apps/kdevappwizard/template-common/Artistic
%_datadir/apps/kdevappwizard/template-common/COPYING
%_datadir/apps/kdevappwizard/template-common/COPYING.LIB
%_datadir/apps/kdevappwizard/template-common/LICENSE.BSD
%_datadir/apps/kdevappwizard/template-common/LICENSE.QPL
%_datadir/apps/kdevappwizard/template-common/admin.kdevtemplate
%_datadir/apps/kdevappwizard/template-common/admin.tar.gz
%_datadir/apps/kdevappwizard/template-common/dockbook.kdevtemplate
%_datadir/apps/kdevappwizard/template-common/gnome-Makefile.am
%_datadir/apps/kdevappwizard/template-common/gnome-Makefile.cvs
%_datadir/apps/kdevappwizard/template-common/gnome-app.lsm
%_datadir/apps/kdevappwizard/template-common/gnome-app.png
%_datadir/apps/kdevappwizard/template-common/gnome-pixmaps-Makefile.am
%_datadir/apps/kdevappwizard/template-common/gnome.tar.gz
%_datadir/apps/kdevappwizard/template-common/gnome2.kdevtemplate
%_datadir/apps/kdevappwizard/template-common/gnome2.tar.gz
%_datadir/apps/kdevappwizard/template-common/gnu.kdevtemplate
%_datadir/apps/kdevappwizard/template-common/gnu.tar.gz
%_datadir/apps/kdevappwizard/template-common/hi16-app-app.png
%_datadir/apps/kdevappwizard/template-common/hi32-app-app.png
%_datadir/apps/kdevappwizard/template-common/incadmin.kdevtemplate
%_datadir/apps/kdevappwizard/template-common/incadmin.tar.gz
%_datadir/apps/kdevappwizard/template-common/kde-Makefile.am
%_datadir/apps/kdevappwizard/template-common/kde-Makefile.cvs
%_datadir/apps/kdevappwizard/template-common/kde-app.desktop
%_datadir/apps/kdevappwizard/template-common/kde-app.lsm
%_datadir/apps/kdevappwizard/template-common/kde-configure.in.in
%_datadir/apps/kdevappwizard/template-common/kde-doc-Makefile.am
%_datadir/apps/kdevappwizard/template-common/kde-doc-en-Makefile.am
%_datadir/apps/kdevappwizard/template-common/kde-index.docbook
%_datadir/apps/kdevappwizard/template-common/kde-part.desktop
%_datadir/apps/kdevappwizard/template-common/kde-po-Makefile.am
%_datadir/apps/kdevappwizard/template-common/wx-Makefile.am
%_datadir/apps/kdevappwizard/template-common/wx-Makefile.cvs
%_datadir/apps/kdevappwizard/template-common/wx-configure.in
%_datadir/apps/kdevappwizard/template-common/wxwidgets.tar.gz

%dir %_datadir/apps/kdevappwizard/templates/
%_datadir/apps/kdevappwizard/templates/*.kdevtemplate

%dir %_datadir/apps/kdevastyle/
%_datadir/apps/kdevastyle/*.rc
%dir %_datadir/apps/kdevautoproject/*
%_datadir/apps/kdevautoproject/*.rc
%dir %_datadir/apps/kdevbashsupport/
%_datadir/apps/kdevbashsupport/*.rc
%dir %_datadir/apps/kdevclassview/
%_datadir/apps/kdevclassview/*.rc
%_datadir/apps/kdevclassview/pics/*.png


%dir %_datadir/apps/kdevcvsservice/
#%_datadir/apps/kdevcvsservice/*.rc
%_datadir/apps/kdevcvsservice/*.sh
%_datadir/apps/kdevcvsservice/pics/*.png


%dir %_datadir/apps/kdevcloser/
%_datadir/apps/kdevcloser/*.rc

%dir %_datadir/apps/kdevsqlsupport/
%_datadir/apps/kdevsqlsupport/*.rc


%dir %_datadir/apps/kdevhaskellsupport/
%_datadir/apps/kdevhaskellsupport/*.rc


%_datadir/apps/kdevcppsupport/kdevcppsupport.rc
%_datadir/apps/kdevcppsupport/configuration

%dir %_datadir/apps/kdevcppsupport/newclass/
%_datadir/apps/kdevcppsupport/newclass/*
%dir %_datadir/apps/kdevcppsupport/subclassing/
%_datadir/apps/kdevcppsupport/subclassing/*
%dir %_datadir/apps/kdevcppsupport/templates/
%_datadir/apps/kdevcppsupport/templates/*

%dir %_datadir/apps/kdevctags/
%_datadir/apps/kdevctags/kdevctags.rc

%dir %_datadir/apps/kdevcustomproject/
%_datadir/apps/kdevcustomproject/*.rc
#%dir %_datadir/apps/kdevcvs/
#%_datadir/apps/kdevcvs/buildcvs.sh
#%_datadir/apps/kdevcvs/kdevcvspart.rc
%dir %_datadir/apps/kdevdebugger/
%_datadir/apps/kdevdebugger/kdevdebugger.rc
%dir %_datadir/apps/kdevdiff/
%_datadir/apps/kdevdiff/kdevdiff.rc
%dir %_datadir/apps/kdevdistpart/
%_datadir/apps/kdevdistpart/kdevpart_distpart.rc
#%dir %_datadir/apps/kdevdoctreeview/
#%_datadir/apps/kdevdoctreeview/en/*
#%_datadir/apps/kdevdoctreeview/kdevdoctreeview.rc

#%dir %_datadir/apps/kdevdoctreeview/pics/
#%_datadir/apps/kdevdoctreeview/pics/*

#%dir %_datadir/apps/kdevdoctreeview/tocs/
#%_datadir/apps/kdevdoctreeview/tocs/*


%dir %_datadir/apps/kdevdocumentation/
%dir %_datadir/apps/kdevdocumentation/en/
%_datadir/apps/kdevdocumentation/en/*.html

%_datadir/apps/kdevdocumentation/*.rc

%dir %_datadir/apps/kdevdocumentation/pics/
%_datadir/apps/kdevdocumentation/pics/*.xpm
%_datadir/apps/kdevdocumentation/pics/*.png

%dir %_datadir/apps/kdevdocumentation/tocs/
%_datadir/apps/kdevdocumentation/tocs/*.toc


%_datadir/apps/kdevdoxygen/kdevdoxygen.rc
%_datadir/apps/kdevfilecreate/file-templates/*

%dir %_datadir/apps/kdevfilecreate/
%_datadir/apps/kdevfilecreate/kdevpart_filecreate.rc
%_datadir/apps/kdevfilecreate/template-info.xml

%dir %_datadir/apps/kdevfilter/
%_datadir/apps/kdevfilter/kdevfilter.rc

%dir %_datadir/apps/kdevfortransupport/
%_datadir/apps/kdevfortransupport/kdevfortransupport.rc

%dir %_datadir/apps/kdevfullscreen/
%_datadir/apps/kdevfullscreen/kdevpart_fullscreen.rc

%dir %_datadir/apps/kdevgenericproject/
%_datadir/apps/kdevgenericproject/kdevgenericproject.rc

%dir %_datadir/apps/kdevgrepview/
%_datadir/apps/kdevgrepview/kdevgrepview.rc

%dir %_datadir/apps/kdevhistory/
%_datadir/apps/kdevhistory/kdevhistory.rc

%dir %_datadir/apps/kdevjavadebugger/
%_datadir/apps/kdevjavadebugger/kdevjavadebugger.rc

%dir %_datadir/apps/kdevjavasupport/
%_datadir/apps/kdevjavasupport/kdevjavasupport.rc

%dir %_datadir/apps/kdevoutputviews/
%_datadir/apps/kdevoutputviews/kdevmakeview.rc

%dir %_datadir/apps/kdevpartexplorer/
%_datadir/apps/kdevpartexplorer/kdevpartexplorer.rc

%dir %_datadir/apps/kdevpascalproject/
%_datadir/apps/kdevpascalproject/kdevpascalproject.rc

%dir %_datadir/apps/kdevpascalsupport/
%_datadir/apps/kdevpascalsupport/kdevpascalsupport.rc

 #%dir %_datadir/apps/kdevperforce/
#%_datadir/apps/kdevperforce/kdevperforcepart.rc

%dir %_datadir/apps/kdevphpsupport/
%_datadir/apps/kdevphpsupport/kdevphpsupport.rc
%_datadir/apps/kdevphpsupport/phpfunctions

%dir %_datadir/apps/kdevpythonsupport/
%_datadir/apps/kdevpythonsupport/kdevpythonsupport.rc

%dir %_datadir/apps/kdevquickopen/
%_datadir/apps/kdevquickopen/kdevpart_quickopen.rc

%dir %_datadir/apps/kdevregexptest/
%_datadir/apps/kdevregexptest/kdevregexptest.rc

%dir %_datadir/apps/kdevreplace/
%_datadir/apps/kdevreplace/kdevpart_replace.rc

%dir %_datadir/apps/kdevrubysupport/
%_datadir/apps/kdevrubysupport/kdevrubysupport.rc

%dir %_datadir/apps/kdevscriptproject/
%_datadir/apps/kdevscriptproject/kdevscriptproject.rc

%dir %_datadir/apps/kdevtipofday/
%_datadir/apps/kdevtipofday/kdevpart_tipofday.rc
%_datadir/apps/kdevtipofday/tips

%dir %_datadir/apps/kdevtools/
%_datadir/apps/kdevtools/kdevpart_tools.rc

%dir %_datadir/apps/kdevtrollproject/
%_datadir/apps/kdevtrollproject/kdevtrollproject.rc

%dir %_datadir/apps/kdevvalgrind/
%_datadir/apps/kdevvalgrind/kdevpart_valgrind.rc

%dir %_datadir/apps/kdevadasupport/
%_datadir/apps/kdevadasupport/kdevadasupport.rc

%dir %_datadir/apps/kdevperlsupport/
%_datadir/apps/kdevperlsupport/kdevperlsupport.rc

#%dir %_datadir/apps/kdevsubversion/
#%_datadir/apps/kdevsubversion/kdevpart_subversion.rc

%dir %_datadir/apps/kdevhaskellproject/
%_datadir/apps/kdevhaskellproject/kdevhaskellproject.rc

%dir %_datadir/apps/kdevscripting/
%_datadir/apps/kdevscripting/*.py
		 

%dir %_datadir/apps/kio_pydoc/
%_datadir/apps/kio_pydoc/*.py

%_datadir/apps/manager/manager.rc

%dir %_datadir/apps/qeditorpart/highlight/
%_datadir/apps/qeditorpart/highlight/*.xml
%_datadir/apps/qeditorpart/qeditor_part.rc

%_datadir/config/kdeveloprc

%dir %_docdir/HTML/en/kdevelop/
%doc %_docdir/HTML/en/kdevelop/*.png
%doc %_docdir/HTML/en/kdevelop/*.bz2
%doc %_docdir/HTML/en/kdevelop/*.docbook
%doc %_docdir/HTML/en/kdevelop/common

%dir %_docdir/HTML/en/kde_app_devel/
%doc %_docdir/HTML/en/kde_app_devel/*.png
%doc %_docdir/HTML/en/kde_app_devel/common
%doc %_docdir/HTML/en/kde_app_devel/*.bz2
%doc %_docdir/HTML/en/kde_app_devel/*.docbook


%_datadir/icons/hicolor/16x16/actions/*.png
%_datadir/icons/hicolor/16x16/apps/*.png
%_datadir/icons/hicolor/22x22/actions/*.png
%_datadir/icons/hicolor/32x32/actions/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/32x32/mimetypes/*.png
%_datadir/icons/hicolor/48x48/actions/*.png
%_datadir/icons/hicolor/48x48/apps/*.png
%_datadir/icons/locolor/16x16/actions/*.png
%_datadir/icons/locolor/32x32/actions/*.png

%dir %_datadir/applnk/Development/
%_datadir/applnk/Development/kdevelop.desktop
%_datadir/applnk/Development/kdevassistant.desktop
%_datadir/applnk/Development/kdevdesigner.desktop


%_datadir/mimelnk/application/*.desktop

%_datadir/mimelnk/text/*.desktop

%_datadir/services/*.protocol
%_datadir/services/*.desktop

%_datadir/servicetypes/*.desktop

%dir %_datadir/apps/kdevelop/
%dir %_datadir/apps/kdevelop/licenses/
%_datadir/apps/kdevelop/kdevhtml_partui.rc
%_datadir/apps/kdevelop/licenses/BSD
%_datadir/apps/kdevelop/licenses/GPL
%_datadir/apps/kdevelop/licenses/GPL+Qt-Exception
%_datadir/apps/kdevelop/licenses/LGPL
%_datadir/apps/kdevelop/licenses/QPL

%files -n %lib_name-devel
%defattr(-,root,root)
%_libdir/*.so

%dir %_includedir/kdevelop/catalog/
%_includedir/kdevelop/catalog/*.h
%_includedir/kdevelop/catalog/*.tcc


%dir %_includedir/kdevelop/cppparser/
%_includedir/kdevelop/cppparser/*.h

%dir %_includedir/kdevelop/
%_includedir/kdevelop/*.h

%dir %_includedir/kdevelop/propeditor/
%_includedir/kdevelop/propeditor/*.h

%dir %_includedir/kinterfacedesigner/
%_includedir/kinterfacedesigner/designer.h

%dir %_prefix/kdevbdb/
%dir %_prefix/kdevbdb/include/
%_prefix/kdevbdb/include/*.h

#%_includedir/*.h


%if %compile_apidox
%dir %_docdir/HTML/en/kdevelop-apidocs/
%doc %_docdir/HTML/en/kdevelop-apidocs/common
%doc %_docdir/HTML/en/kdevelop-apidocs/html/*.css
%doc %_docdir/HTML/en/kdevelop-apidocs/html/*.idx
%doc %_docdir/HTML/en/kdevelop-apidocs/html/*.php
%doc %_docdir/HTML/en/kdevelop-apidocs/html/installdox
%dir %_docdir/HTML/en/kdevelop-apidocs/html/
%doc %_docdir/HTML/en/kdevelop-apidocs/html/*.html
%doc %_docdir/HTML/en/kdevelop-apidocs/html/*.png
%doc %_docdir/HTML/en/kdevelop-apidocs/html/*.dot
%doc %_docdir/HTML/en/kdevelop-apidocs/html/*.md5
%doc %_docdir/HTML/en/kdevelop-apidocs/html/*.map
%endif

%files -n %lib_name
%defattr(-,root,root)
%_libdir/*.la
%_libdir/*.so.*

%_libdir/kde3/libdoccustomplugin.so.*
%_libdir/kde3/libdocqtplugin.so.*
%_libdir/libdb.a

%_prefix/kdevbdb/lib/libdb.a

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%post
%update_menus

%postun
%clean_menus

%changelog
* Mon Mar 21 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.2-11mdk
- fix build on lib64 platforms
- build internal bdb static lib with PIC as it is linked into a DSO

* Tue Feb 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-10mdk
- Add patch22: fix mdk bug #13873 "URL has changed for ClanLib doc"

* Sun Feb 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-9mdk
- Remove conflict on .h

* Fri Feb 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Remove conflict

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Disable debug

* Sat Jan 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Fix generate menu

* Sat Jan 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Add graphviz add requires

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Rebuild

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Add patch19: fix compile with python2.4 (patch commited into kde cvs and kde 3.3 branch) 

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Fri Nov 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- Sync with CVS

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- Rebuild with new perl

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- %%buildfor

* Mon Oct 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Deprecated mdk < 9.2

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.3.1

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-1mdk
- 3.1.0

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-13mdk
- Fix menu

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-12mdk
- Rebuild with new menu translation table

* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-11mdk
- Remove debug

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-10mdk
- Add buildrequires

* Tue Jul 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-9mdk
- Fix spec file:

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-8mdk
- Add patch18: remove rpath (patch from gb)

* Mon Jul 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-7mdk
- Add patch16: fix kde bug #73420 "Do not allow to add the same file twice."
- Add patch17: fix potential crash into autoproject

* Tue Jul 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-6mdk
- Fix configure

* Fri Jul 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-5mdk
- Add patch15: fix import version

* Fri Jul 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-4mdk
- Add requires doxygen to generate doc into kdevelop project
- Add patch14: fix import spec file

* Thu Jul 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-3mdk
- Generate doc

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-2mdk
- Rebuild with new kdelibs

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Fri May 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Apply patch send by Nick Brown <nickbroon@blueyonder.co.uk>

* Fri May 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Sync with CVS

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch13: fix crash #9809

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Rebuild "enable-debug"

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- 3.0.3

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Fix spec file to using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-12mdk
- Fix anthill bug #463 (requires autoconf2.5)

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-11mdk
- use %%configure
- use mdkversion

* Tue Mar 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-10mdk
- Fix compile under amd64 (Gb patch)

* Wed Mar 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-9mdk
- Add requires libtool bug #8973 (otherwise we can't compile project)

* Fri Mar 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-8mdk
- Fix install kdevelop.pm (thanks Titi)

* Mon Mar 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-7mdk
- Add patch13: "Remove redundent space in output message when reporting gdb and path see #74133"
- Add patch14: fix crash into kfileselector

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-6mdk
- Sync with CVS 

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-5mdk
- Sync with CVS
- Fix epoch

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-4mdk
- Sync with CV

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-3mdk
- Sync with CVS
- Build with good kdelibs (kdedesktop2mdkmenu.pl)

* Thu Feb 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-2mdk
- Sync with CVS

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- Fix distint

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- 3.0.0

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.2mdk
- Sync with CVS

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.1mdk
- Sync with CVS

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.rc1.2mdk
- Sync with CVS

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.rc1.1mdk
- RC1

* Thu Jan 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.11mdk
- Fix requires on "kdesdk-cervisia"

* Thu Jan 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.10mdk
- Fix type s/clear_menu/clean_menu
- Sync with CVS

* Wed Jan 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.9mdk
- Fix menu
- Fix requires

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.8mdk
- Fix buildRequires (found by Nicolas Chipaux)
- Sync with CVS
- Reverte VFolder menu type to 'menu' menu type 

* Thu Jan 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.7mdk
- Fix update from MDK9.2

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.6mdk
- Fix requires

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.5mdk
- Sync with CVS

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.4mdk
- Sync with CVS

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.3mdk
- Sync with CVS

* Thu Dec 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.2mdk
- Fix compile with !mdk10.0

* Wed Dec 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.1mdk
- Beta2

* Thu Dec 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.5mdk
- Sync with CVS

* Wed Nov 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.4mdk
- Sync with CVS

* Mon Nov 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.3mdk
- Sync with CVS 

* Mon Nov 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.2mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.1mdk
- Fix version
- Fix qtdocdir patch from "kelk1@comcast.net"

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.7mdk
- Fix provides/requires
- Fix menu
- Sync with CVS: remove conflict with kdelibs

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.6mdk
- Fix compile with new mandrake release

* Wed Nov 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.5mdk
- Sync

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.4mdk
- Sync with CVS

* Mon Oct 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.3mdk
- Sync with CVS 

* Fri Oct 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.2mdk
- Sync with CVS

* Tue Sep 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.1mdk
- 3.0.0 alpha7

* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-16mdk
- Fix ia64 compile ( patch from Gwenole)

* Fri Sep 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-15mdk
- Use xvt as term. Bug found by Chmouel

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-14mdk
- Fix build

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-13mdk
- Fix requires/Provides/Obsolete

* Mon Aug 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-12mdk
- Add patch11: Fix kmessagebox, bug found by David Baudens

* Mon Aug 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-11mdk
- Fix BuildRequires

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-10mdk
- Fix provides/obsoletes

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-9mdk
- Libification

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-8mdk
- Rebuild

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-7mdk
- Fix requires

* Thu Jun 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-6mdk
- Remove config with automake/autoconf

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-5mdk
- Fix kdevelop script as reported by shirka@wanadoo.fr thanks.
=> fix bug #3773

* Mon Apr 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-4mdk
- Add patch9: patch from gbeauchesne@mandrakesoft.com Handle biarch struct utmp in documentation

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-3mdk
- Fix compile with automake-1.4

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-2mdk
- Fix build requires 

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-1mdk
- 2.1.5

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-5mdk
- Add source9 : fix theme template compile

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-4mdk
- Add source4-5-6 : fix template kdevelop. Fix compile, include moc etc...

* Tue Jan 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-3mdk
- Add requires

* Fri Jan 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-2mdk
- Apply Gwenole patch "Make it lib64 aware"

* Thu Nov 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-1mdk
- 2.1.4

* Sat Oct 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-7mdk
- Fix for compile on cooker version

* Sat Sep 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-6mdk
- Fix C reference

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-5mdk
- Conflict with automake1.6/autoconf2.5

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-4mdk
- Add patch8 : fix mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-3mdk
- Rebuild

* Thu Aug 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-2mdk
- Fix compile template with automake-1.4 and autoconf-2.13

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-1mdk
- 2.1.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-5mdk
- Rebuild against gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-4mdk
- Rebuild against gcc-3.2

* Fri Jul 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-3mdk
- Remove requires on htdig

* Fri Jul 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-2mdk
- Remove dependance from htdig_dev
- Fix spec file

* Sat Jul 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-1mdk
- kdevelop2.1.2
- Fix exec kdevelop (by menu )
- Fix exec qtdesigner

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-5mdk
- Rebuild

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-4mdk
- fix menu entry

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-3mdk
- Rebuild

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-2mdk
- Fix spec file

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-2mdk
- rebuild against gcc3.1

* Mon Apr 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-1mdk
- First package 

